package com.cim.idm.wmspackage.name.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.name.management.data
 *  NAME    : NameRuleDef.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class NameRuleDef extends FieldAccessor implements DataInfo<NameRuleDefKey>
{
	private NameRuleDefKey	key;
	private long					totalLength;
	private String					description;
	

	public NameRuleDefKey getKey()
	{
		return key;
	}

	public void setKey(NameRuleDefKey key)
	{
		this.key = key;
	}

	public long getTotalLength()
	{
		return totalLength;
	}

	public void setTotalLength(long totalLength)
	{
		this.totalLength = totalLength;
	}

	public String getDescription()
	{
		return description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}


}
